<?php

namespace App\Components\Client\Profile;

use App\Models\Client\Client;
use Livewire\Component;

class PensionCases extends Component
{
    public Client $client;

    public function render()
    {
        return view('components.client.profile.pension-cases', [
            'cases' => $this->client->pensionCases()->with('status')->orderByDesc('created_at')->get(),
        ]);
    }
}
